[Dev] gbs error while building package

Zhang, Qiang Z qiang.z.zhang at intel.com
Mon Feb 24 07:31:59 GMT 2014



> -----Original Message-----
> From: Suresh Kanzariya [mailto:skanzariya at gmail.com]
> Sent: Monday, February 24, 2014 3:20 PM
> To: Zhang, Qiang Z
> Cc: dev
> Subject: Re: [Dev] gbs error while building package
> 
> Hello Zhang,
> 
> I installed gbs via source as I was getting error while installing it from apt in
> ubuntu (I reported a problem here).
> 
> I will try to install depannur from .deb package.
[Qiang] As gbs depend on several important packages, and these dependencies have been written well in meta of gbs.

So, with apt, all necessary dependencies can be installed. Without correct dependencies, gbs may occurs error for some cases.

So, it's high recommended to install with package manager (apt/yum/zypper).

If you have installed gbs from sources, you must remove / clean up it first, then follow:
https://source.tizen.org/documentation/developer-guide/installing-development-tools


Sorry, I have not found the issue you reported here. Could you please spend several minutes and send again? I can help you on this. 
Thanks
Qiang

> 
> Thanks,
> Suresh
> 
> On 2/24/14, Zhang, Qiang Z <qiang.z.zhang at intel.com> wrote:
> > It seems that you have not install gbs using package manager (apt in
> > ubuntu).
> >
> > With apt, gbs and it's dependencies (depanneur, build,
> > git-buildpackage-common, git-buildpackage-rpm, etc) will be installed.
> >
> > Ubuntu's repo is:
> > http://download.tizen.org/tools/latest-release/Ubuntu_12.04/
> >
> > Thanks
> > Qiang
> >
> >
> >> -----Original Message-----
> >> From: dev-bounces at lists.tizen.org
> >> [mailto:dev-bounces at lists.tizen.org] On Behalf Of Suresh Kanzariya
> >> Sent: Sunday, February 23, 2014 5:21 PM
> >> To: dev
> >> Subject: [Dev] gbs error while building package
> >>
> >> Hi,
> >>
> >> I have clone the zlib source from the tizen git and trying to build
> >> the package using 'gbs build -A i586 --debug', while building I am
> >> getting following error,
> >>
> >> 'linux32: depanneur: No such file or directory'
> >>
> >> I tried searching for the 'depanneur' on web, but couldn't find any
> >> information, however on github they mentioned the depanneur version
> >> depanneur (>= 0.11).
> >>
> >> From where can i found the package, is there any .deb packages are
> >> available for download.
> >>
> >> Thanks,
> >> Suresh
> >> _______________________________________________
> >> Dev mailing list
> >> Dev at lists.tizen.org
> >> https://lists.tizen.org/listinfo/dev
> >


More information about the Dev mailing list